ru.bitel.bgbilling.modules.inet.radius

## Class InetRadiusProcessor.AuthAcceptEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.inet.radius.InetRadiusProcessor.AuthAcceptEvent

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    InetRadiusProcessor

      public static final class InetRadiusProcessor.AuthAcceptEvent
      extends LocalEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthAcceptEvent(int deviceId, int agentDeviceId, InetServ inetServ, RadiusPacket request, RadiusPacket response, int ipResourceId, java.lang.Object circuitId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAgentDeviceId()`
    `java.lang.Object` | `getCircuitId()`
    `int` | `getDeviceId()`
    `InetServ` | `getInetServ()`
    `int` | `getIpResourceId()`
    `RadiusPacket` | `getRequest()`
    `RadiusPacket` | `getResponse()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthAcceptEvent

          public AuthAcceptEvent(int deviceId,
                                 int agentDeviceId,
                                 InetServ inetServ,
                                 RadiusPacket request,
                                 RadiusPacket response,
                                 int ipResourceId,
                                 java.lang.Object circuitId)

  - ### Method Detail

    - #### getDeviceId

          public int getDeviceId()

    - #### getAgentDeviceId

          public int getAgentDeviceId()

    - #### getInetServ

          public InetServ getInetServ()

    - #### getRequest

          public RadiusPacket getRequest()

    - #### getResponse

          public RadiusPacket getResponse()

    - #### getIpResourceId

          public int getIpResourceId()

    - #### getCircuitId

          public java.lang.Object getCircuitId()